Kafka Clusters
Get latest Kafka topic message
Retrieves the newest message from partition 0, including its contents. Results are not cached. Only available when the company allows reading Kafka messages.
GET
/
kafka-clusters
/
{uuid}
/
topics
/
{topic}
/
latest-message
Get latest Kafka topic message
curl --request GET \
--url https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"offset": 123,
"partition": 123,
"timestamp": "2023-11-07T05:31:56Z",
"topic": "<string>",
"headers": {},
"key": "aSDinaTvuI8gbWludGxpZnk=",
"value": "aSDinaTvuI8gbWludGxpZnk="
}Authorizations
API key passed as a Bearer token in the Authorization header.
Was this page helpful?
⌘I
Get latest Kafka topic message
curl --request GET \
--url https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artie.com/kafka-clusters/{uuid}/topics/{topic}/latest-message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"offset": 123,
"partition": 123,
"timestamp": "2023-11-07T05:31:56Z",
"topic": "<string>",
"headers": {},
"key": "aSDinaTvuI8gbWludGxpZnk=",
"value": "aSDinaTvuI8gbWludGxpZnk="
}